package com.zcxk.common;

public class WTDFM {

	public int m_Degree;// 度
	public int m_Minute;// 分
	public double m_Second;// 秒
	public double m_RADIAN;// 弧度(包含度分秒)
	public double m_DEGREE;// 度(包含度分秒)]
	private final double PI = 3.1415926535897932;
	
	public WTDFM() {
		m_Degree = 0;// 度
		m_Minute = 0;// 分
		m_Second = 0.0;// 秒
		m_RADIAN = 0.0;// 弧度(包含度分秒)
		m_DEGREE = 0.0;// 度(包含度分秒)
	}

	// 度＝>度分秒
	public void DEGtoDFM() {
		double Ldu = 0, Lfen = 0, Lmiao = 0;
		Ldu = m_DEGREE;
		// 求度
		m_Degree = (int) (Ldu);
		// 求分
		Lfen = (Ldu - m_Degree) * 60; // '计算′
		m_Minute = (int) (Lfen);
		// 求秒
		Lmiao = (Lfen - m_Minute) * 60;// '计算'
		m_Second = Lmiao;
		// 求弧度
		m_RADIAN = m_DEGREE * PI / 180;
	}

	// 度＝>弧度
	public void DFMtoRAD() {
		m_DEGREE = m_Degree + m_Minute / 60.0 + m_Second / 3600.0;
		m_RADIAN = m_DEGREE * PI / 180;
	}

	// 弧度＝>度
	public void RADtoDFM() {
		m_DEGREE = m_RADIAN * 180 / PI;
		DEGtoDFM();
	}
}
